Issue 10274 - LDAP datasource cannot handle all attributes in inetOrgPerson
LDAP datasource cannot handle all attributes in inetOrgPerson
Status: CONFIRMED
Product: Base
Classification: Application
Component: code
OOo 1.0.1
All All
: P3 trivial with 5 votes (vote)
: ---
Assigned To: Frank Schönheit
n/a
:
: 10276 22721 (view as issue list)
Depends on:
Blocks: 10275 17159
  Show dependency treegraph
 
Reported: 2002-12-22 18:40 UTC by miko11
Modified: 2013-08-07 15:45 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description miko11 2002-12-22 18:40:31 UTC
Most organisations which uses LDAP uses the inetOrgPerson object defined in
RFC2798 for people. However, the LDAP datasource cannot handle the full set of
attributes in this object, it's limited to the rather small subset used in Mozilla.

Actually, even basic attributes as e.g., postalAddress causes problems.Even
MS-Outlook makes a better job here(!)
Comment 1 Frank Schönheit 2003-01-06 09:38:44 UTC
Michael, thanks for using and supporting OOo!

In your description, what does "postalAddress causes problems" mean?
Is it simply not accessible, or is there more?

OOo is shipping with Mozilla components to implement the LDAP access,
so your observation is right - OOo can do exactly what Mozilla can do.

I confirm this bug - the statement "cannot handle" is true, though I
am actually not sure what the solution should be. One way would be to
allow customizability of LDAP attributes in Mozilla, and propagate
this customizability to OOo. Another way would be a complete
re-implementation of the LDAP access in OpenOffice.org, but it sounds
a little bit ... unsatisfying to re-invent the wheel here.
We'll see ....

Sean, assigning this to you for the moment, as you are responsible for
the address book integration right now. I think we won't have a
solution in the 1.1 timeframe, but after this, we may need to evaluate
if this is a WONTFIX, or what we can do about it.
Comment 2 Frank Schönheit 2003-01-06 09:41:48 UTC
hmm. Now really confirming.
Comment 3 miko11 2003-01-06 17:05:38 UTC
It's just not accessible AFAI know.

--m
Comment 4 miko11 2003-01-06 17:23:11 UTC
For other reasons I've been digging around a little in the Mozilla
LDAP code. There is actually lower layers available where any
attribute could be fetched, as I understand the code there. So maybe
there isn't really a need to reinvent the wheel, maybe a new tyre
would be sufficient :-)
Comment 5 Frank Schönheit 2003-01-06 18:00:34 UTC
*** Issue 10276 has been marked as a duplicate of this issue. ***
Comment 6 Unknown 2003-06-15 01:28:12 UTC
Would it be possible to make this a configurable part of OOo, such as
an XML file that relates the attributes in the LDAP object to the
field as shown in the "Form Letter" etc. of OOo? For example,

<address-fields>
  <field name="First Name"/>
  <field name="Last Name"/>
  <field name="Work Address" />
  <!-- etc -->
</address-fields>

<address-field-mapping>
  <ldap-mapping>
    <map attribute="postalAddress" field="Work Address"/>
    <!-- etc -->
  </ldap-mapping>
</address-field-mapping>

This just sounds ideal.
Comment 7 Frank Schönheit 2003-07-01 14:25:55 UTC
yes, I think this should be configurable in some way ....
Comment 8 Frank Schönheit 2003-07-15 15:40:19 UTC
mass re-assign of address book integration issues
Comment 9 sannear 2003-11-03 10:15:26 UTC
Suggest that the correct way forward is:

Create the ability to have a pure ldap data source

I would like to see user having the abilty to choose the attributes
they want to return - without a mapping function - ie user says I want
to display colums: uid;mail;postaladdress;

and these become the column headings, rather than having to map
postaladdress to address1 etc.

to provide a field chooser - perhaps an initial ldapsearch of:

ldapsearch -b cn=schema objectclass=* objectclasses would give a list
of objectclasses the user could use to organise the attributes into
area's of interest.

So the user might decide - I'm interested in users - so select
inetorgperson, and under that pick the uid, mail, cn and surname as
fields they want in their data source.


Comment 10 Frank Schönheit 2003-11-24 08:41:32 UTC
*** Issue 22721 has been marked as a duplicate of this issue. ***
Comment 11 Frank Schönheit 2003-12-05 14:19:06 UTC
responsibilities changed
Comment 12 hans_werner67 2004-02-02 12:48:16 UTC
change subcomponent to 'none'
Comment 13 wind.li 2004-02-10 06:16:40 UTC
Migrate to a new account for security reasons.
Comment 14 thorsten.ziehm 2004-08-19 15:46:56 UTC
Because of limited resource for OOo2.0, it was decided to shift this tasks to
the next milestone. If somebody will be found, who can implement this until
OOo2.0, then this tasks will be re-targeted.
Comment 15 sannear 2004-08-19 22:26:32 UTC
If this is just using mozilla code ......

Mozilla is perfectly capable of accessing all data stored in ldap, I've used the
following script to retrieve data from ldap to update mozilla preferences
(mozilla's autoconfig functionality written in javascript)

var uid = bob

var company_ldapfilter = "uid=" + env_user;
var company_ldapserver = "ldapserver.company.co.nz";
var company_ldapbase="ou=people,o=company";

var ldap_values = getLDAPAttributes ( company_ldapserver, company_ldapbase,
company_ldapfilter , "uid,cn,mail,mailhost" );

function processLDAPValues (ldap_values) {
 
var ldap_uid = getLDAPValue ( ldap_values , "uid" );
var ldap_cn = getLDAPValue ( ldap_values , "cn" );
var ldap_mail = getLDAPValue ( ldap_values , "mail" );

}

I don't know how the OOo code is written, but I'm happy to help with information
on ldap or mozilla (from an admin's point of view - not a coder)
Comment 16 Frank Schönheit 2004-08-20 08:11:14 UTC
sannear, thanks for the report! Sadly, my gut feeling (without looking deeper
into it at the moment) is that this won't help much. OOo doesn't use Mozilla's
LDAP API directly, instead, it uses the address book API. The limitation with
the email address is, as far as I know, part of the address book API which wraps
the LDAP API.
This does make some sense from Mozilla's point of view, since the address book
is used for the mail client - you don't need records of person you can't send a
mail to, do you?
Comment 17 wind.li 2005-03-23 08:58:38 UTC
working transfer
Comment 18 eberlein 2006-04-07 20:04:33 UTC
Our company would like to use the ldap-connection for filling templates with
user data.
The office-room is stored in physicalDeliveryOfficeName, but this field isn't
mapped to the Mozilla scheme too.

Wouldn't it make sense to offer *two* LDAP drivers, one for Mozilla/Netscape and
one for Outlook/Outlook Express?

Peter
Comment 19 miko11 2007-06-20 14:51:08 UTC
This bug is now ~5 years, and still marked as NEW ;-) Is there any hope it will
ever be fixed somehow, or is it more realistic to look for other sw for e. g.
creating labels or formatted text documents from LDAP data sources?

I am perfectly ware aware of the need for priorities. However, I think it's time
to decide on a WONTFIX or a schedule.

--michael
Comment 20 Frank Schönheit 2007-06-20 14:52:48 UTC
That's a question of philosophy. Personally, I don't like WONTFIX unless for
serious reasons.
The request here is valid, and who knows whether next week, somebody sponsors a
developer who will fix it?
Comment 21 colli4545 2008-03-28 18:38:59 UTC
What is the current status of this change request? Version by version 
(currently 2.4) gets released but simple changes to the LDAP module aren't done 
by now.

OOo wants to be a competitive player not only for the home users, but also for 
business usage. I'm using OOo for cost, efficiency and some other reasons in 
our SME and also rely on LDAP as strong and reliable system for resource 
management. However, OOo just supporting Mozilla style attributes after such a 
long time of development and massive improvements is simply not satisfactory.

Are there any schedules for making the attribute selection for LDAP access in 
OOo somewhat more dynamic - either with by using configuration files or 
providing direct field selection possibilities in the OOo Base wizzard??

--Silvio